معالجات الإشعارات
GET https://ozan.fun/api/notification-handlers/
curl --request GET \
--url 'https://ozan.fun/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://ozan.fun/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| search | اختياري سلسلة | سلسلة البحث. |
| search_by | اختياري سلسلة | ما هو الحقل الذي تبحث فيه؟ القيم المسموح بها هي: name. |
| is_enabled | اختياري منطقي | |
| type | اختياري سلسلة | ما هو الحقل الذي تبحث فيه؟ القيم المسموح بها هي: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id, sixsixtext_send_sms, sixsixtext_save_contact. |
| datetime_field | اختياري سلسلة | القيم المسموح بها: datetime, last_datetime |
| datetime_start | اختياري سلسلة | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختياري سلسلة | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختياري سلسلة | ما هو الحقل الذي يجب ترتيب النتائج به. القيم المسموح بها هي: notification_handler_id, datetime, last_datetime, name. |
| order_type | اختياري سلسلة | ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي. |
| search | اختياري سلسلة | سلسلة البحث. |
| search_by | اختياري سلسلة | ما هو الحقل الذي تبحث فيه؟ القيم المسموح بها هي: name. |
| is_enabled | اختياري منطقي | |
| type | اختياري سلسلة | ما هو الحقل الذي تبحث فيه؟ القيم المسموح بها هي: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id, sixsixtext_send_sms, sixsixtext_save_contact. |
| datetime_field | اختياري سلسلة | القيم المسموح بها: datetime, last_datetime |
| datetime_start | اختياري سلسلة | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختياري سلسلة | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختياري سلسلة | ما هو الحقل الذي يجب ترتيب النتائج به. القيم المسموح بها هي: notification_handler_id, datetime, last_datetime, name. |
| order_type | اختياري سلسلة | ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي. |
| page | اختياري عدد صحيح | رقم الصفحة التي تريد الحصول على النتائج منها. الافتراضي هو 1. |
| results_per_page | اختياري عدد صحيح | كم عدد النتائج التي تريدها لكل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. القيمة الافتراضية هي 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-05 04:59:13",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://ozan.fun/api/notification-handlers?page=1",
"last": "https://ozan.fun/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://ozan.fun/api/notification-handlers?page=1"
}
}
GET https://ozan.fun/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://ozan.fun/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://ozan.fun/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-05 04:59:13",
}
}
POST https://ozan.fun/api/notification-handlers
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| name | مطلوب سلسلة | - |
| type | مطلوب سلسلة | القيم المسموح بها: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id, sixsixtext_send_sms, sixsixtext_save_contact |
| اختياري سلسلة | متاح عند: type = email ايميل | |
| webhook | اختياري سلسلة | متاح عند: type = webhook ويب |
| slack | اختياري سلسلة | متاح عند: type = slack Slack webhook URL |
| discord | اختياري سلسلة | متاح عند: type = discord Discord webhook URL |
| telegram | اختياري سلسلة | متاح عند: type = telegram ايبي تيلي |
| telegram_chat_id | اختياري سلسلة | متاح عند: type = telegram Telegram Chat ID |
| microsoft_teams | اختياري سلسلة | متاح عند: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | اختياري سلسلة | متاح عند: type = google_chat جوجل شات |
| x_consumer_key | اختياري سلسلة | متاح عند: type = x ايبي تيلي |
| x_consumer_secret | اختياري سلسلة | متاح عند: type = x ايبي تيلي |
| x_access_token | اختياري سلسلة | متاح عند: type = x ايبي تيلي |
| x_access_token_secret | اختياري سلسلة | متاح عند: type = x ايبي تيلي |
| push_subscriber_id | اختياري سلسلة | متاح عند: type = push_subscriber_id بش |
| twilio | اختياري سلسلة | متاح عند: type = twilio رقم الهاتف |
| twilio_call | اختياري سلسلة | متاح عند: type = twilio_call رقم الهاتف |
| اختياري سلسلة | متاح عند: type = whatsapp رقم الهاتف | |
| sixsixtext_send_sms_api_key | اختياري سلسلة | متاح عند: type = sixsixtext_send_sms SMS API key |
| sixsixtext_send_sms_device_id | اختياري عدد صحيح | متاح عند: type = sixsixtext_send_sms Device ID |
| sixsixtext_send_sms_device_sim_subscription_id | اختياري عدد صحيح | متاح عند: type = sixsixtext_send_sms Device SIM subscription ID |
| sixsixtext_send_sms_phone_number | اختياري سلسلة | متاح عند: type = sixsixtext_send_sms Phone number |
| sixsixtext_save_contact_api_key | اختياري سلسلة | متاح عند: type = sixsixtext_save_contact SMS API key |
| sixsixtext_save_contact_phone_number | اختياري سلسلة | متاح عند: type = sixsixtext_save_contact Test phone number |
curl --request POST \
--url 'https://ozan.fun/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://ozan.fun/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://ozan.fun/api/notification-handlers/{notification_handler_id}
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| name | اختياري سلسلة | - |
| type | اختياري سلسلة | القيم المسموح بها: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id, sixsixtext_send_sms, sixsixtext_save_contact |
| اختياري سلسلة | متاح عند: type = email ايميل | |
| webhook | اختياري سلسلة | متاح عند: type = webhook ويب |
| slack | اختياري سلسلة | متاح عند: type = slack Slack webhook URL |
| discord | اختياري سلسلة | متاح عند: type = discord Discord webhook URL |
| telegram | اختياري سلسلة | متاح عند: type = telegram ايبي تيلي |
| telegram_chat_id | اختياري سلسلة | متاح عند: type = telegram Telegram Chat ID |
| microsoft_teams | اختياري سلسلة | متاح عند: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | اختياري سلسلة | متاح عند: type = google_chat جوجل شات |
| x_consumer_key | اختياري سلسلة | متاح عند: type = x ايبي تيلي |
| x_consumer_secret | اختياري سلسلة | متاح عند: type = x ايبي تيلي |
| x_access_token | اختياري سلسلة | متاح عند: type = x ايبي تيلي |
| x_access_token_secret | اختياري سلسلة | متاح عند: type = x ايبي تيلي |
| push_subscriber_id | اختياري سلسلة | متاح عند: type = push_subscriber_id بش |
| twilio | اختياري سلسلة | متاح عند: type = twilio رقم الهاتف |
| twilio_call | اختياري سلسلة | متاح عند: type = twilio_call رقم الهاتف |
| اختياري سلسلة | متاح عند: type = whatsapp رقم الهاتف | |
| sixsixtext_send_sms_api_key | اختياري سلسلة | متاح عند: type = sixsixtext_send_sms SMS API key |
| sixsixtext_send_sms_device_id | اختياري عدد صحيح | متاح عند: type = sixsixtext_send_sms Device ID |
| sixsixtext_send_sms_device_sim_subscription_id | اختياري عدد صحيح | متاح عند: type = sixsixtext_send_sms Device SIM subscription ID |
| sixsixtext_send_sms_phone_number | اختياري سلسلة | متاح عند: type = sixsixtext_send_sms Phone number |
| sixsixtext_save_contact_api_key | اختياري سلسلة | متاح عند: type = sixsixtext_save_contact SMS API key |
| sixsixtext_save_contact_phone_number | اختياري سلسلة | متاح عند: type = sixsixtext_save_contact Test phone number |
| is_enabled | اختياري منطقي | - |
curl --request POST \
--url 'https://ozan.fun/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://ozan.fun/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://ozan.fun/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://ozan.fun/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://ozan.fun/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \